Skip to navigation

Request case remediation

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequired1-200 characters

Headers

Myaza-VersionstringOptional
X-Request-IdstringOptional<=128 characters
Idempotency-KeystringRequiredformat: "^[A-Za-z0-9._:~-]+$"8-200 characters

Request

This endpoint expects an object.
typeenumRequired
Allowed values:
targetIdstringRequired1-200 characters
reasonstringRequired1-2000 characters
targetTypestringOptional1-100 charactersDefaults to Entity

Response

Success
remediationobject
replayedbooleanOptional

Errors

400
Bad Request Error
401
Unauthorized Error
402
Payment Required Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
413
Content Too Large Error
422
Unprocessable Entity Error
429
Too Many Requests Error
500
Internal Server Error
502
Bad Gateway Error
503
Service Unavailable Error